Support

Frequently Asked Questions

Is Darwinia compatible with OS X 10.4 - Tiger?

Last Updated Jul 28, 2008

Darwinia is OS X native, but does require OS X 10.2 or later. Darwinia is compatible with Tiger - Mac OS X 10.4.

Was This Answer Helpful?

Not The Right Answer?

Copyright © 2013 Ambrosia Software, Inc. | All rights reserved worldwide. | Privacy Policy | Site Map | My Ambrosia Account